Merge pull request #123 from stevenvanrossem/master

fix ci test son-monitor
diff --git a/utils/ci/stop_sdk_monitor.sh b/utils/ci/stop_sdk_monitor.sh
new file mode 100755
index 0000000..b162f20
--- /dev/null
+++ b/utils/ci/stop_sdk_monitor.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+# stop the monitor
+son-emu-cli monitor stop_metric -vnf vnf1:output --metric tx_packets
+
+sleep 1
+
+#stop the vnf
+son-emu-cli compute-zapi stop -d datacenter1 -n vnf1
+
+
diff --git a/utils/ci/test_sdk_monitor.sh b/utils/ci/test_sdk_monitor.sh
index 51e5e7a..08e52e5 100755
--- a/utils/ci/test_sdk_monitor.sh
+++ b/utils/ci/test_sdk_monitor.sh
@@ -5,7 +5,7 @@
 #python src/emuvim/examples/monitoring_demo_topology.py &
 
 # start a vnf
-son-emu-cli compute start -d datacenter1 -n vnf1  --net '(id=input,ip=10.0.10.3/24),(id=output,ip=10.0.10.4/24)'
+son-emu-cli compute-zapi start -d datacenter1 -n vnf1  --net '(id=input,ip=10.0.10.3/24),(id=output,ip=10.0.10.4/24)'
 
 sleep 1
 
@@ -14,18 +14,28 @@
 
 sleep 5
 
-# check if metric is monitored as expected
+# check if metric is monitored as expected (exported by son-emu, has vnf name as metric id)
+tx_rate=$(son-emu-cli monitor prometheus -d datacenter1 -vnf vnf1 -q 'rate(sonemu_tx_count_packets{vnf_name="vnf1"}[1m])')
+
+
+# test if prometheus query worked
+echo $tx_rate
+
+regex='\[[0-9.]*, .*\]'
+
+if [[ $tx_rate =~ $regex ]] ; then
+	echo " tx_rate monitor test OK"
+else
+	echo "tx_rate monitor test not OK"
+	exit 1
+fi
+
+
+# check if cpu load can be monitored (exported by cAdvisor, needs uuid)
 cpu_load=$(son-emu-cli monitor prometheus -d datacenter1 -vnf vnf1 -q 'sum(rate(container_cpu_usage_seconds_total{id="/docker/<uuid>"}[10s]))')
 
 sleep 1
 
-# stop the monitor
-son-emu-cli monitor stop_metric -vnf vnf1:output --metric tx_packets
-
-sleep 1
-
-#stop the vnf
-son-emu-cli compute stop -d datacenter1 -n vnf1
 
 # test if prometheus query worked
 echo $cpu_load
@@ -34,10 +44,11 @@
 
 if [[ $cpu_load =~ $regex ]] ; then
 	echo " cpu monitor test OK"
-	exit 0
 else
 	echo "cpu monitor test not OK"
 	exit 1
 fi
 
+exit 0
+